Subject: bug#11747: 24.1.50; called-interactively-p vs. advice

From: Glenn Morris <[email-masked]>
Date: Mon, 25 Jun 2012 19:40:12 -0400

Michael Heerdegen wrote:

> So, do you mean this can't be fixed? 

No, just that I personally don't see how to fix it. Hopefully someone
else does.

>    This function is meant for implementing advice and other
>    function-modifying features.
>
> Is there a "not" missing?

I'm not sure. I cannot tell what the sentence is supposed to mean under
either reading. I think it could just as well be removed.

> 2.  Explicitly say that `called-interactively' will not work when used
> in an adviced function.

Sure, if no-one fixes it.